Package com.databricks.jdbc.dbclient.impl.common

## Class StatementId

- java.lang.Object
- - com.databricks.jdbc.dbclient.impl.common.StatementId

    public class StatementId
    extends Object

A Statement-Id identifier to uniquely identify an executed statement

### Constructor Summary

Constructors
`StatementId​(THandleIdentifier identifier)` Constructs a StatementId identifier for a given Thrift Server operation handle
`StatementId​(String statementId)` Constructs a StatementId identifier for a given SQl Exec statement-Id

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static StatementId` `deserialize​(String serializedStatementId)` Deserializes a StatementId from a serialized string
`boolean` `equals​(Object otherStatement)`
`static String` `loggableStatementId​(TOperationHandle operationHandle)` Returns a loggable statement Id for the given Thrift operation handle.
`THandleIdentifier` `toOperationIdentifier()` Returns a Thrift operation handle for the given StatementId
`String` `toSQLExecStatementId()` Returns a SQL Exec statement handle for the given StatementId
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StatementId

    public StatementId​(String statementId)

Constructs a StatementId identifier for a given SQl Exec statement-Id

#### StatementId

    public StatementId​(THandleIdentifier identifier)

Constructs a StatementId identifier for a given Thrift Server operation handle

### Method Detail

#### deserialize

    public static StatementId deserialize​(String serializedStatementId)

Deserializes a StatementId from a serialized string

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### toOperationIdentifier

    public THandleIdentifier toOperationIdentifier()

Returns a Thrift operation handle for the given StatementId

#### toSQLExecStatementId

    public String toSQLExecStatementId()

Returns a SQL Exec statement handle for the given StatementId

#### loggableStatementId

    public static String loggableStatementId​(TOperationHandle operationHandle)

Returns a loggable statement Id for the given Thrift operation handle. This is used for logging purposes to avoid logging sensitive information.

#### equals

    public boolean equals​(Object otherStatement)

Overrides:
  `equals` in class `Object`